#!/bin/sh

depth=1024
depth2=$depth
if [ ! -z $1 ];then
  depth=$1
fi
if [ ! -z $2 ];then
  depth2=$2
fi


for i in `find /sys -name scaling_governor`; do cat $i; echo "performance" > $i; done

echo 1048576 > /proc/sys/fs/aio-max-nr
#echo 2097152 > /proc/sys/fs/aio-max-nr

for i in  `find /sys -name nr_requests |grep "block/dm"`
do
  d=`dirname $i`
  vendor=`cat $d/../device/vendor`
  old=`cat $i`
  echo $depth2 > $i
  new=`cat $i`
  echo "$i $old $new"
done

for i in `find /sys/devices/virtual/block/ -name nr_requests`
do
  n=`cat $i`
  echo "$i orig: $n new: $depth"
  echo $depth > $i
done

for i in `find /sys/ -name scheduler | grep block`
do
  echo "noop" > $i
  echo $i
done

